<?php 
	namespace Concrete\Package\Cariad\Block\CariadAnimatedTitle;
	use \Concrete\Core\Block\BlockController;
	
	class Controller extends BlockController {

	protected $btTable = 'btCariadAnimatedTitle';
	protected $btInterfaceWidth = "700";
	protected $btInterfaceHeight = "450";
	protected $btWrapperClass = 'ccm-ui';
	protected $btDefaultSet = 'cariad';

	public function getBlockTypeName() {
		return t('Cariad Animated Title');
	}
	public function getBlockTypeDescription() {
		return t('A block used to add an animated title, for use with the Cariad Theme.');
	}
	public function add()
    {
        $this->requireAsset('redactor');
        $this->requireAsset('core/file-manager');
    }
    public function edit()
    {
        $this->requireAsset('redactor');
        $this->requireAsset('core/file-manager');
    }
	public function getTitleText()
	{
	        return $this->titleText;
    }
    public function view()
    {
        if (!(isset($this->formatting) && $this->formatting)) {
            $this->set('formatting', 'h1');
        }
		        $this->set('title', $this->titleText);
    }
}