<?php 
defined('C5_EXECUTE') or die("Access Denied.");

$nav  = Core::make('helper/navigation');
$page = Page::getByID($pageID);

if ($linkType == "internal" && $pageID > 0) {
    
    if (is_object($page)) {
        
        $theLink = $nav->getLinkToCollection($page);
        
        $target = "";
    }
} else {
    
    $theLink = $externalLink;
    $target  = " target='_blank'";
}

$image = $image;

if ($theLink) {
    $image = '<a href="' . $theLink . '" ' . $target . '>' . $image . '</a>';
}

?>

<div class="cariad-team-member">
  <div class="cariad-img-wrapper cariad-team-img">
    <?php  if ($image) {
 	echo $image;
  }
	?>
  </div>
  <!--/.cariad-img-wrapper-->
  <div class="cariad-team-text">
    <?php  if ($title): ?>
    <h4 class="cariad-team-member-title"><?php  echo h($title)?></h4>
    <?php  endif; ?>
    <?php  if ($title2): ?>
    <h5 class="cariad-team-member-jobtitle"><?php  echo h($title2)?></h5>
    <?php  endif; ?>
    <?php  if ($paragraph): ?>
    <hr class="cariad-hr" />
    <p class="cariad-team-member-paragraph"><?php  echo h($paragraph)?></p>
    <?php  endif; ?>
    <?php  if ($buttonText): ?>
    <a href="<?php   echo $theLink; ?>" class="btn btn-cariad btn-cariad-team-member"<?php   echo $target;?>>
    <?php   echo $buttonText; ?>
    </a>
    <div class="clearfix"></div>
    <?php  endif; ?>
  </div>
  <!--/.cariad-team-text--> 
</div>
<!--/.cariad-team-member--> 

