<?php 
defined('C5_EXECUTE') or die("Access Denied.");
$th = Core::make('helper/text');
$c = Page::getCurrentPage();
$ih = Core::make("helper/image");
$counter = 0;
$lineBreakThree = 3;
$lineBreakTwo = 2;

?>

<div class="ccm-block-page-list-wrapper cariad-blog-masonry">
  <?php  if ($pageListTitle): ?>
  <div class="ccm-block-page-list-header">
    <div class="row">
      <div class="col-md-12">
        <h2><?php  echo $pageListTitle?></h2>
      </div>
    </div>
  </div>
  <?php  endif; ?>
  <?php  if ($rssUrl): ?>
  <div class="row">
    <div class="col-md-12"> <a href="<?php  echo $rssUrl ?>" target="_blank" class="btn btn-lg btn-cariad"><i class="fa fa-rss fa-2x pull-left"></i>&nbsp;<?php  echo t('Subscribe to RSS Feed')?></a></div>
  </div>
  <?php  endif; ?>
  <div class="cariad-blog-list cariad-blog-list-masonry">
    <div class="row">
      <div class="masonry">
        <?php  foreach ($pages as $page):

		$title = $th->entities($page->getCollectionName());
		$url = $nh->getLinkToCollection($page);
		$target = ($page->getCollectionPointerExternalLink() != '' && $page->openCollectionPointerExternalLinkInNewWindow()) ? '_blank' : $page->getAttribute('nav_target');
		$target = empty($target) ? '_self' : $target;
		$thumbnail = $page->getAttribute('cariad_thumbnail');
        $hoverLinkText = $title;
        $description = $page->getCollectionDescription();
        $description = $controller->truncateSummaries ? $th->wordSafeShortText($description, $controller->truncateChars) : $description;
        $description = $th->entities($description);
		$date = date('F j, Y', strtotime($page->getCollectionDatePublic()));

        if ($useButtonForLink) {
            $hoverLinkText = $buttonLinkText;
        }

        ?>
        <div class="post-box col-xs-12 col-sm-6 col-lg-4 cariad-blog-listitem cariad-blog-masonry-listitem">
          <?php  if (is_object($thumbnail)): ?>
          <div class="cariad-blog-thumb">
            <?php 
                $img = Core::make('html/image', array($thumbnail));
                $tag = $img->getTag();
                $tag->addClass('img-responsive cariad-blog-img img-cariad-thumb');
                print $tag;
                ?>
            <div class="cariad-blog-thumb-description"> <a href="<?php  echo $url ?>" target="<?php  echo $target ?>" class="blog-thumb-icon-link">
              <?php   echo t('Read more'); ?>
              <i class="fa fa-chevron-right"></i> </a> </div>
            <!-- /cariad-blog-thumb-description --> 
          </div>
          <!-- /.cariad-blog-thumb -->
          <?php  endif; ?>
          <div class="cariad-blog-masonry-body">
            <h3 class="cariad-blog-thumb-heading"> <a href="<?php   echo $url ?>" target="<?php   echo $target ?>">
              <?php   echo $title ?>
              </a> </h3>
            <?php  if ($includeDescription): ?>
            <p class="cariad-blog-description"> <?php  echo $description ?> </p>
            <p><a href="<?php   echo $url ?>" target="<?php   echo $target ?>" class="blog-read-more">
              <?php   echo t('Read more'); ?>
              <i class="fa fa-chevron-right"></i> </a></p>
            <?php  endif; ?>
            <div class="cariad-blog-date-area">
              <p class="cariad-blog-details"><span class="cariad-blog-author">
                <?php   echo t('Posted by')?>
                <?php   echo $c->getVersionObject()->getVersionAuthorUserName(); ?>
                </span>
                <?php  if ($includeDate): ?>
                <span class="cariad-blog-date">&nbsp;&#124;&nbsp; <?php  echo $date; ?> </span>
                <?php  endif; ?>
              </p>
            </div>
          </div>
          <!-- /.cariad-blog-masonry-body --> 
        </div>
        <!-- /.post-box -->
        <?php  endforeach; ?>
      </div>
    </div>
  </div>
  <?php  if (count($pages) == 0): ?>
  <div class="ccm-block-page-list-no-pages"><?php  echo $noResultsMessage?></div>
  <?php  endif;?>
</div>
<?php  if ($showPagination): ?>
<?php  echo $pagination;?>
<?php  endif; ?>
<?php  if ( $c->isEditMode() && $controller->isBlockEmpty()): ?>
<div class="ccm-edit-mode-disabled-item"><?php  echo t('Empty Page List Block.')?></div>
<?php  endif; ?>
