<?php   defined('C5_EXECUTE') or die("Access Denied.");
$this->inc('elements/header.php'); ?>

<!-- Begin page content -->

<?php  

$topContent = new Area('Top Content');
$topContentBlocks = $topContent->getTotalBlocksInArea($c);
$displayTopContent = $topContentBlocks > 0 || $c->isEditMode();
$bottomContent = new Area('Bottom Content');
$bottomContentBlocks = $bottomContent->getTotalBlocksInArea($c);
$displayBottomContent = $bottomContentBlocks > 0 || $c->isEditMode();


$backgroundBannerImage = $c->getAttribute('cariad_banner_image');
if ($backgroundBannerImage) {
	
	global $backgroundBannerImageURL;
	
    $backgroundBannerImageURL = $backgroundBannerImage->getURL();
	
		$bannerImageClass = ' cariad-image-background';
	
}

?>

<main class="main-cariad">
  <div class="cariad-main-section">
    <div class="cariad-banner<?php  echo $bannerImageClass?>" id="cariad-banner-home-v2">
      <div class="cariad-banner-content">
        <?php   
	$a = new Area('Banner Content'); 
    $a->enableGridContainer();
	$a->display($c); 	
	?>
      </div>
      <!--/.cariad-banner-content-->
      <?php   if ($displayTopContent) { ?>
      <div class="cariad-page-header home-v2">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12 top-content">
              <?php 
    	$a = new Area('Top Content');
		$a->setAreaGridMaximumColumns(12);
    	$a->display();
    	?>
            </div>
            <!--/.col-md-12--> 
          </div>
          <!--/.row--> 
        </div>
        <!--/.container-fluid--> 
      </div>
      <!--/.cariad-page-header-->
      <?php   } ?>
      <div class="section-main home-v2" role="main">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-4 col-lg-3 main2">
              <?php   
		$a = new Area('Sidebar');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
            </div>
            <!--/.col-md-4-->
            <div class="col-md-4 col-lg-4 col-lg-offset-1 cariad-main">
              <?php   
		$a = new Area('Main');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
            </div>
            <!--/.col-md-4-->
            <div class="col-md-4 col-lg-3 col-lg-offset-1 main3">
              <?php   
		$a = new Area('Main 3');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
            </div>
            <!--/.col-md-4--> 
          </div>
          <!--/.row--> 
        </div>
        <!--/.container-fluid--> 
      </div>
      <!--/.section-main-->
      <?php   if ($displayBottomContent) { ?>
      <div class="section-last home-v2">
        <div class="container-fluid">
          <div class="row">
            <div class="col-md-12 bottom-content">
              <?php 
    	$a = new Area('Bottom Content');
		$a->setAreaGridMaximumColumns(12);
    	$a->display();
    	?>
            </div>
            <!--/.col-md-12--> 
          </div>
          <!--/.row--> 
        </div>
        <!--/.container-fluid--> 
      </div>
      <!--/.section-last-->
      <?php   } ?>
    </div>
    <!--/.cariad-banner--> 
  </div>
  <!--/.cariad-main-section--> 
</main>
<?php  $this->inc('elements/footer.php'); ?>
