<?php 
namespace Concrete\Package\Cariad\Block\CariadBootstrapThumbnail;
use \Concrete\Core\Block\BlockController;
use Core;
use Page;

class Controller extends BlockController
{  
    protected $btTable = 'btCariadBootstrapThumbnail';
    protected $btInterfaceWidth = "700";
    protected $btInterfaceHeight = "450";
    protected $btWrapperClass = 'ccm-ui';
    protected $btDefaultSet = 'cariad';
    
    public function getBlockTypeName()
    {
        return t('Bootstrap Thumbnail');
    }
    public function getBlockTypeDescription()
    {
        return t('A block used to add an image, some text and a call to action button, for use with the Cariad Theme.');
    }    
    public function view()
    {
        $image = false;
        
        if ($this->fID) {
            $f = \File::getByID($this->fID);
            if (is_object($f)) {
                $image = Core::make('html/image', array(
                    $f,
                    false
                ))->getTag();
                $image->alt($this->name);
                $this->set('image', $image);
            }
        }       
    }       
}