<?php   defined('C5_EXECUTE') or die("Access Denied.");
$this->inc('elements/header.php'); ?>

<!-- Begin page content -->

<?php  

$topContent = new Area('Top Content');
$topContentBlocks = $topContent->getTotalBlocksInArea($c);
$displayTopContent = $topContentBlocks > 0 || $c->isEditMode();
$bottomContent = new Area('Bottom Content');
$bottomContentBlocks = $bottomContent->getTotalBlocksInArea($c);
$displayBottomContent = $bottomContentBlocks > 0 || $c->isEditMode();
$section2 = new Area('Section 2');
$section2Blocks = $section2->getTotalBlocksInArea($c);
$displaySection2 = $section2Blocks > 0 || $c->isEditMode();

$backgroundBannerImage = $c->getAttribute('cariad_banner_image');
if ($backgroundBannerImage) {
	
	global $backgroundBannerImageURL;
	
    $backgroundBannerImageURL = $backgroundBannerImage->getURL();
	
		$bannerImageClass = ' cariad-image-background';
	
}

?>

<main class="main-cariad">
  <div class="cariad-main-section cariad-blog-main-section">
    <div class="cariad-banner <?php  echo $bannerImageClass?>">
      <div class="cariad-banner-content">
        <?php   
	$a = new Area('Banner Content'); 
    $a->enableGridContainer();
	$a->display($c); 	
	?>
      </div>
      <!--/.cariad-banner-content--> 
    </div>
    <!--/.cariad-banner-->
    <?php   if ($displayTopContent) { ?>
    <div class="cariad-page-header">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 top-content">
            <?php 
    	$a = new Area('Top Content');
		$a->setAreaGridMaximumColumns(12);
    	$a->display();
    	?>
          </div>
          <!--/.col-md-12--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.cariad-page-header-->
    <?php   } ?>
    <div class="section-main cariad-blog-section-main">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-8 cariad-main" role="main">
            <div class="cariad-blog-date-area">
              <p class="meta cariad-blog-date">
                <?php   echo t('Posted by')?>
                <?php   echo $c->getVersionObject()->getVersionAuthorUserName(); ?>
                &nbsp;&#124;&nbsp;
                <?php  
			  	$collectionDate = strtotime($c->getCollectionDatePublic());
   				 $date = date("F j, Y", $collectionDate); 
				echo $date;
				?>
              </p>
            </div>
            <?php 
   	 	$a = new Area('Main');
		$a->setAreaGridMaximumColumns(12);
    	$a->display($c);
    	?>
            <div class="cariad-blog-nav"> <a href="<?php  echo $_SERVER['HTTP_REFERER'] ?>" class="cariad-page-nav">&laquo;
              <?php   echo t('Back')?>
              </a> <br/>
            </div>
            <?php 
   	 	$a = new Area('Blog Post Footer');
		$a->setAreaGridMaximumColumns(12);
    	$a->display($c);
    	?>
          </div>
          <!--/.col-md-8-->
          <div class="col-md-4 sidebar sidebar-right" role="complementary">
            <div class="sidebar-inner">
              <?php   
		$a = new Area('Sidebar');
		$a->setAreaGridMaximumColumns(12);
        $a->display($c);    
        ?>
              <?php 
         $a = new GlobalArea('Blog Post Sidebar');
		 $a->setAreaGridMaximumColumns(12);
         $a->display($c);
         ?>
            </div>
            <!--/.sidebar-inner--> 
          </div>
          <!--/.col-md-4--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.section-main-->
    <?php   if ($displaySection2) { ?>
    <div class="section-2 cariad-blog-section-2">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">
            <?php 
		$a = new Area('Section 2');
		$a->setAreaGridMaximumColumns(12); 
		$a->display(); 
		?>
          </div>
          <!--/.col-md-12--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.section-2-->
    <?php   } ?>
    <?php   if ($displayBottomContent) { ?>
    <div class="section-last cariad-blog-section-last">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 bottom-content">
            <?php 
    	$a = new Area('Bottom Content');
		$a->setAreaGridMaximumColumns(12);
    	$a->display();
    	?>
          </div>
          <!--/.col-md-12--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.section-last-->
    <?php   } ?>
  </div>
  <!--/.cariad-main-section--> 
</main>
<?php  $this->inc('elements/footer.php'); ?>
