<?php   defined('C5_EXECUTE') or die("Access Denied.");
$this->inc('elements/header.php'); ?>

<!-- Begin page content -->

<?php  

$topContent = new Area('Top Content');
$topContentBlocks = $topContent->getTotalBlocksInArea($c);
$displayTopContent = $topContentBlocks > 0 || $c->isEditMode();
$bottomContent = new Area('Bottom Content');
$bottomContentBlocks = $bottomContent->getTotalBlocksInArea($c);
$displayBottomContent = $bottomContentBlocks > 0 || $c->isEditMode();


$backgroundBannerImage = $c->getAttribute('cariad_banner_image');
if ($backgroundBannerImage) {
	
	global $backgroundBannerImageURL;
	
    $backgroundBannerImageURL = $backgroundBannerImage->getURL();
	
		$bannerImageClass = ' cariad-image-background';
	
}

?>

<main class="main-cariad">
  <div class="cariad-main-section">
    <div class="cariad-banner<?php  echo $bannerImageClass?>" id="cariad-banner-home">
      <div class="cariad-banner-content">
        <?php   
	$a = new Area('Banner Content'); 
    $a->enableGridContainer();
	$a->display($c); 	
	?>
      </div>
      <!--/.cariad-banner-content--> 
    </div>
    <!--/.cariad-banner-->
    <?php   if ($displayTopContent) { ?>
    <div class="cariad-page-header">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 top-content">
            <?php 
    	$a = new Area('Top Content');
		$a->setAreaGridMaximumColumns(12);
    	$a->display();
    	?>
          </div>
          <!--/.col-md-12--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.cariad-page-header-->
    <?php   } ?>
    <div class="section-main section-main-home" role="main">
      <div class="container-fluid">
        <?php  
$backgroundBg1Image = $c->getAttribute('cariad_image_bg1');
$bannerImageClass='';

if ($backgroundBg1Image) {
	
	global $backgroundBg1ImageURL;
	
    $backgroundBg1ImageURL = $backgroundBg1Image->getURL();
	
	$bannerImageClass = ' cariad-image-background';
	
}

?>
        <div class="row cariad-bg-1<?php  echo $bannerImageClass?>">
          <div class="col-sm-6 cariad-main cariad-bg-transparent">
            <?php   
		$a = new Area('Main');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
          </div>
          <!--/.col-sm-6--> 
        </div>
        <!--/.row-->
        
        <?php  
$backgroundBg2Image = $c->getAttribute('cariad_image_bg2');
$bannerImageClass='';

if ($backgroundBg2Image) {
	
	global $backgroundBg2ImageURL;
	
    $backgroundBg2ImageURL = $backgroundBg2Image->getURL();
	
	$bannerImageClass = ' cariad-image-background';
	
}

?>
        <div class="row cariad-bg-2<?php  echo $bannerImageClass?>">
          <div class="col-sm-6 col-sm-offset-6 main2 cariad-bg-transparent">
            <?php   
		$a = new Area('Sidebar');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
          </div>
          <!--/.col-sm-6--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.section-main-->
    <?php   if ($displayBottomContent) { ?>
    <div class="section-last">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 bottom-content">
            <?php 
    	$a = new Area('Bottom Content');
		$a->setAreaGridMaximumColumns(12);
    	$a->display();
    	?>
          </div>
          <!--/.col-md-12--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.section-last-->
    <?php   } ?>
  </div>
  <!--/.cariad-main-section--> 
</main>
<?php  $this->inc('elements/footer.php'); ?>
