<?php   defined('C5_EXECUTE') or die("Access Denied.");
$this->inc('elements/header.php'); ?>

<!-- Begin page content -->

<?php  

$topContent = new Area('Top Content');
$topContentBlocks = $topContent->getTotalBlocksInArea($c);
$displayTopContent = $topContentBlocks > 0 || $c->isEditMode();
$bottomContent = new Area('Bottom Content');
$bottomContentBlocks = $bottomContent->getTotalBlocksInArea($c);
$displayBottomContent = $bottomContentBlocks > 0 || $c->isEditMode();
$section2 = new Area('Section 2');
$section2Blocks = $section2->getTotalBlocksInArea($c);
$displaySection2 = $section2Blocks > 0 || $c->isEditMode();

$backgroundBannerImage = $c->getAttribute('cariad_banner_image');
if ($backgroundBannerImage) {
	
	global $backgroundBannerImageURL;
	
    $backgroundBannerImageURL = $backgroundBannerImage->getURL();
	
		$bannerImageClass = ' cariad-image-background';
	
}

?>

<main class="main-cariad">
  <div class="cariad-main-section cariad-portfolio-main-section" role="main">
    <div class="cariad-banner <?php  echo $bannerImageClass?>">
      <div class="cariad-banner-content">
        <?php   
	$a = new Area('Banner Content'); 
    $a->enableGridContainer();
	$a->display($c); 	
	?>
      </div>
      <!--/.cariad-banner-content--> 
    </div>
    <!--/.cariad-banner-->
    <?php   if ($displayTopContent) { ?>
    <div class="cariad-page-header cariad-portfolio-page-header">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 top-content">
            <?php 
    	$a = new Area('Top Content');
		$a->setAreaGridMaximumColumns(12);
    	$a->display();
    	?>
          </div>
          <!--/.col-md-12--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.cariad-page-header-->
    <?php   } ?>
    <div class="section-main cariad-portfolio-section-main">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 cariad-main">
            <?php   
		$a = new Area('Main');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
            <!--/.col-md-12-->
            <div class="row">
              <div class="col-sm-6 col-md-3 main2">
                <?php   
		$a = new Area('Sidebar');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
              </div>
              <!--/.col-md-3-->
              <div class="col-sm-6 col-md-3 main3">
                <?php   
		$a = new Area('Main 3');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
              </div>
              <!--/.col-md-3-->
              <div class="clearfix visible-sm-block"></div>
              <div class="col-sm-12 col-md-6 main4">
                <?php   
		$a = new Area('Main 4');
		$a->setAreaGridMaximumColumns(12); 
		$a->display($c); 	
		?>
              </div>
              <!--/.col-md-6--> 
            </div>
            <!--/.row-->
            <div class="cariad-portfolio-nav"> <a href="<?php  echo $_SERVER['HTTP_REFERER'] ?>" class="cariad-page-nav">&laquo; <?php   echo t('Back')?></a> <br/>
            </div>
          </div>
          <!--/.cariad-main--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.section-main-->
    <?php   if ($displaySection2) { ?>
    <div class="section-2 cariad-portfolio-section-2">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">
            <?php   
		$a = new Area('Section 2');
		$a->setAreaGridMaximumColumns(12); 
		$a->display(); 	
		?>
          </div>
          <!--/.col-md-12--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.section-2-->
    <?php   } ?>
    <?php   if ($displayBottomContent) { ?>
    <div class="section-last cariad-portfolio-section-last">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12 bottom-content">
            <?php 
    	$a = new Area('Bottom Content');
		$a->setAreaGridMaximumColumns(12);
    	$a->display();
    	?>
          </div>
          <!--/.col-md-12--> 
        </div>
        <!--/.row--> 
      </div>
      <!--/.container-fluid--> 
    </div>
    <!--/.section-last-->
    <?php   } ?>
  </div>
  <!--/.cariad-main-section--> 
</main>
<?php  $this->inc('elements/footer.php'); ?>
